#CLCUL DE PROBABILITATS: Intrval Mitjana

#Assignem el Nombre d'observacions, la Mitjana i la Desviaci estndard de la distribuci
nobs <- 9; mu <- 1204 ; sigma <- 375/sqrt(nobs); 

#Assignem els lmits dels intervals
IInf <- mu-75; ISup <- mu+75

#Clcul de la probabilitat entre IInf i ISup
pr <- pnorm(ISup, mu, sigma) - pnorm(IInf, mu, sigma)

#Grfic a la posici 1,1

eix <- c(mu - 4 * sigma, mu + 4 * sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- dnorm(x, mu, sigma)
plot(x, y, type='l', xlab = expression(italic("X")), ylab = expression(italic("Densitat")))
abline(h = 0)
abline(v = IInf)
abline(v = ISup)
x1 <- x[x >= IInf &  x<= ISup] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow')

#Afegim Text
#Afegim Text
text(mu, 0.45*dnorm(mu,mu,sigma), expression(italic(Prob)))
text(mu, 0.4*dnorm(mu,mu,sigma), round(pr,3))

