#CLCUL DE PROBABILITATS: Varincia

#Dades enunciat. X1,....X10 s distirbueixen Xi~N(0,1)
#Demanen P(s^2<=1.88)
#Sabem que (n-1)*s^2)/sigma^2~Ji^2 de n gdl. Per tant,

nobs <- 10
s2 <- 1.88
sigma2 <- 1

ji<-(nobs-1)*s2/sigma2

ji

pr <- pchisq(ji,(nobs-1))

pr

#Grfic
eix <- 30
x <- seq(0, eix, length = 1000)
y <- dchisq(x, (nobs-1))
plot(x, y, type='l', xlab = expression(italic(chi)), ylab = expression(italic(Densitat)))
abline(h = 0)
x1 <- x[x <= ji] ; y1 <- dchisq(x1,(nobs-1))
x2 <- c(0, x1, ji, 0)
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow')


#Afegim Text
text(ji/2, 0.25*dchisq(ji/2,(nobs-1)), expression(italic(Prob)))
text(ji/2, 0.2*dchisq(ji/2,(nobs-1)), round(pr, digits=3))
