#CLCUL DE PROBABILITATS: Mitjana

#Ens diu que la variable X~P(lambda) amb desviaci estndar =3
#Ens demana P(Xmit<=9.45) on la Xmit d'una mostra de 100 v.a. distribudes segons X

#Sabem que per ser una Poisson, mu=Sigma^2=lambda. Per tant,
#mu=Sigma^2=lambda=3^2=9
#Assignem el Nombre d'observacions, la Mitjana i la Desviaci estndard de la distribuci d'Xmit
nobs <- 100; mu <- 9 ; sigma <- 3/sqrt(nobs); 

#Punt on valorem la probabilitat
Xmit <- 9.45

#Clcul de la probabilitat
pr <- pnorm(Xmit, mu, sigma)
pr


# Generaci del grfic que explica les rees

eix <- c(mu - 4 * sigma, mu + 4 * sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- dnorm(x, mu, sigma)
plot(x, y, type='l', xlab = expression(italic(bar('X'))), ylab = expression(italic(Densitat)))
abline(h = 0)
x1 <- x[x <= Xmit] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(eix[1], x1, x1[length(x1)], eix[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow')

#Afegim Text
text(mu, 0.45*dnorm(mu,mu,sigma), expression(italic(Prob)))
text(mu, 0.4*dnorm(mu,mu,sigma), round(pr,3))



