#CLCUL DE PROBABILITATS: Mitjana

#Ens diu que la probabilitat de nixer nen s Phi=0.514
#i ens demana la probabilitat en 1000 naixements,
#la probabilitat que hi hagin menys homes que dones
#s a dir, tenim una variable X~B(n,Phi)
# Si n*Phi>=5 i n*(1-Phi)>=5 una binomial es pot aproximar per una normal

#Assignem el Nombre d'observacions i Phi
nobs <- 1000; Phi <- 0.514;

#Comprobem

nobs*Phi
nobs*(1-Phi)

#La aproximaci ser doncs X~N(n*Phi;sqrt(n*Phi*(1-Phi)))
#Si definim la proporci com la Mitjana p=x/n, aleshores aquesta proporci
#es distribuieix segons una normal p~N(Phi,sqrt(Phi*(1-Phi)))
#N'hi hauran menys homes si p<=0,5, Per tant,

Xmit<-0.5
mu<-Phi
sigma<-sqrt(Phi*(1-Phi)/nobs)
pr <- pnorm(Xmit,mu,sigma)
pr


# Generaci del grfic que explica les rees

eix <- c(mu - 4 * sigma, mu + 4 * sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- dnorm(x, mu, sigma)
plot(x, y, type='l', xlab = expression(italic(p)), ylab = expression(italic(Densitat)))
abline(h = 0)
x1 <- x[x <= Xmit] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(eix[1], x1, x1[length(x1)], eix[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow')
#Afegim Text
text(0.95*Xmit, 0.35*dnorm(mu,mu,sigma), expression(italic(Prob)))
text(0.95*Xmit, 0.3*dnorm(mu,mu,sigma), round(pr,3))



