#CLCUL DE PROBABILITATS: Mitjana

#Ens diu que la proporci de famlies que disposa d'un electrodomstic s Phi=0.4
#i ens demana la probabilitat qu de 225 persones, 
#100 hagin votat aquest partit

#Assignem el Nombre d'observacions i Phi i p
nobs <- 225; Phi <- 0.4; p<-100/225; 

#Comprobem si es pot aproximar per una normal

nobs*Phi*(1-Phi)


#La aproximaci ser doncs X~N(n*Phi;sqrt(n*Phi*(1-Phi)))
#Si definim la proporci com la Mitjana p=x/n, aleshores aquesta proporci
#es distribuieix segons una normal p~N(Phi,sqrt(Phi*(1-Phi)))

#El punt que hem de valorar s:

Xmit<-p
mu<-Phi
sigma<-sqrt(Phi*(1-Phi)/nobs)
pr <- 1-pnorm(Xmit,mu,sigma)
pr


# Generaci del grfic que explica les rees

eix <- c(mu - 4 * sigma, mu + 4 * sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- dnorm(x, mu, sigma)
plot(x, y, type='l', xlab = expression(italic(p)), ylab = expression(italic(Densitat)))
abline(h = 0)
x1 <- x[x >= Xmit] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(Xmit, x1, x1[length(x1)], Xmit)
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow')
#Afegim Text
text(0.95*Xmit, 0.15*dnorm(mu,mu,sigma), expression(italic(Prob)))
text(0.95*Xmit, 0.1*dnorm(mu,mu,sigma), round(pr,3))



