#CLCUL DE PROBABILITATS: Mitjana

#Ens diu que la variable X~e(alfa) amb alfa=0.1
#Per les propietats de la Exponencial sabem que E(x)=1/alfa i v(x)=1/alfa^2
#Demana la P(Xmit>=12) on Xmit s'extreu de la mitjana de 50 aparells.
#Pel teorema central del lmit, Xmit~N(1/alfa,sqrt((1/alfa^2)/n)). Per tant,

nobs<-50; alfa<-0.1; mu=1/alfa; sigma<-sqrt((1/alfa^2)/nobs);
Xmit <- 12
pr <- 1-pnorm(Xmit,mu,sigma)
pr

# Generaci del grfic que explica les rees

eix <- c(mu - 4 * sigma, mu + 4 * sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- dnorm(x, mu, sigma)
plot(x, y, type='l', xlab = expression(italic(bar('X'))), ylab = expression(italic(Densitat)))
abline(h = 0)
x1 <- x[x >= Xmit] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(Xmit, x1, x1[length(x1)], Xmit)
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow')
#Afegim Text
text(13.5, 0.35*dnorm(mu,mu,sigma), expression(italic(Prob)))
text(13.5, 0.3*dnorm(mu,mu,sigma), round(pr,3))

